Skip to main content

BrowserType enum

The set of browsers supported by the Ultrafast Grid. By default, when you request a particular BrowserType (e.g. CHROME), the Ultrafast Grid renders the checkpoints using the most recent browser version available to Eyes. Eyes allows you to request that a test be run on the previous version of the browser (e.g. CHROME_ONE_VERSION_BACK) or the version prior to that version (e.g. CHROME_TWO_VERSIONS_BACK).

- CHROME

The Google Chrome browser - the latest version supported.

- CHROME_ONE_VERSION_BACK

The Google Chrome browser - the version previous to the latest supported version.

- CHROME_TWO_VERSIONS_BACK

The Google Chrome browser - two versions before the latest supported version.

- FIREFOX

The Firefox browser - the latest version supported.

- FIREFOX_ONE_VERSION_BACK

The Firefox browser - the version previous to the latest supported version.

- FIREFOX_TWO_VERSIONS_BACK

The Firefox browser - two versions before the latest supported version.

- SAFARI_EARLY_ACCESS

The Safari browser - upcoming version before it becomes the latest.

- SAFARI

The Safari browser - the latest version supported.

- SAFARI_ONE_VERSION_BACK

The Safari browser - the version previous to the latest supported version.

- SAFARI_TWO_VERSIONS_BACK

The Safari browser - two versions before the latest supported version.

- EDGE_LEGACY

The legacy, non Chromium based Microsoft Edge browser - the latest version supported (previously called EDGE).

- EDGE_CHROMIUM

The Microsoft Edge based on Chromium browser - the latest version supported.

- EDGE_CHROMIUM_ONE_VERSION_BACK

The Microsoft Edge based on Chromium browser - the version previous to the latest supported version.

- EDGE_CHROMIUM_TWO_VERSIONS_BACK

The Microsoft Edge based on Chromium browser - two versions before the latest supported version.

- IE_10

The Microsoft Internet Explorer v10 browser - the latest version supported, testing previous versions is not availble yet.

- IE_11

The Microsoft Internet Explorer v11 browser - the latest version supported, testing previous versions is not availble yet.